classification
Title: test_subprocess 2.4b2 fails on tru64
Type: Stage:
Components: Build Versions: Python 2.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: astrand Nosy List: astrand, dharma_roadkill
Priority: normal Keywords:

Created on 2004-11-10 02:45 by dharma_roadkill, last changed 2004-11-12 15:53 by astrand. This issue is now closed.

Messages (2)
msg23077 - (view) Author: roadkill (dharma_roadkill) Date: 2004-11-10 02:45
on python 2.4 beta 2:
Python 2.4b2 (#1, Nov 10 2004, 15:22:25) [C] on 
osf1V5 

on an HP Tru64 OSF5.1b system,
test_subprocess fails for an assertion error that 
suggests that python doesn't understand the means 
that this OS uses to implement clusters.  The test fails 
on both clustered and unclustered boxes.

As yet, this failure does not impact us.  Low priority for 
now.

Note that tru64 expands {memb} to a cluster node 
indicator.
member0 means a single-node unclustered system.
our other tru64 system is clusters, and expands {memb} 
to member1 and member2 for the two nodes.

output of ./python ./Lib/test/test_subprocess.py > out 
2>&1::::
:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:::::::::::
    this bit of output is from a test of stdout in a 
different process ... test_args_string 
(__main__.ProcessTestCase) ... ok test_call_kwargs 
(__main__.ProcessTestCase) ... ok test_call_seq 
(__main__.ProcessTestCase) ... ok test_call_string 
(__main__.ProcessTestCase) ... ok test_communicate 
(__main__.ProcessTestCase) ... ok 
test_communicate_pipe_buf 
(__main__.ProcessTestCase) ... ok 
test_communicate_returns 
(__main__.ProcessTestCase) ... ok test_cwd 
(__main__.ProcessTestCase) ... FAIL test_env 
(__main__.ProcessTestCase) ... ok test_exceptions 
(__main__.ProcessTestCase) ... ok test_executable 
(__main__.ProcessTestCase) ... ok test_invalid_args 
(__main__.ProcessTestCase) ... ok test_list2cmdline 
(__main__.ProcessTestCase) ... ok test_no_leaking 
(__main__.ProcessTestCase) ... ok test_poll 
(__main__.ProcessTestCase) ... ok test_preexec 
(__main__.ProcessTestCase) ... ok test_run_abort 
(__main__.ProcessTestCase) ... ok test_shell_sequence 
(__main__.ProcessTestCase) ... ok test_shell_string 
(__main__.ProcessTestCase) ... ok test_stderr_filedes 
(__main__.ProcessTestCase) ... ok test_stderr_fileobj 
(__main__.ProcessTestCase) ... ok test_stderr_none 
(__main__.ProcessTestCase) ... ok test_stderr_pipe 
(__main__.ProcessTestCase) ... ok test_stdin_filedes 
(__main__.ProcessTestCase) ... ok test_stdin_fileobj 
(__main__.ProcessTestCase) ... ok test_stdin_none 
(__main__.ProcessTestCase) ... ok test_stdin_pipe 
(__main__.ProcessTestCase) ... ok test_stdout_filedes 
(__main__.ProcessTestCase) ... ok test_stdout_fileobj 
(__main__.ProcessTestCase) ... ok test_stdout_none 
(__main__.ProcessTestCase) ... ok test_stdout_pipe 
(__main__.ProcessTestCase) ... ok 
test_stdout_stderr_file (__main__.ProcessTestCase) ... 
ok test_stdout_stderr_pipe 
(__main__.ProcessTestCase) ... ok 
test_universal_newlines (__main__.ProcessTestCase) ... 
ok test_universal_newlines_communicate 
(__main__.ProcessTestCase) ... ok test_wait 
(__main__.ProcessTestCase) ... ok 
test_writes_before_communicate 
(__main__.ProcessTestCase) ... ok

==========================================
============================
FAIL: test_cwd (__main__.ProcessTestCase)
------------------------------------------------------
----------------
Traceback (most recent call last):
  File "./Lib/test/test_subprocess.py", line 218, in 
test_cwd
    self.assertEqual(normcase(p.stdout.read()), normcase
(tmpdir))
AssertionError: '/cluster/members/member0/tmp' !
= '/cluster/members/{memb}/tmp'

------------------------------------------------------
----------------
Ran 37 tests in 113.252s

FAILED (failures=1)
Traceback (most recent call last):
  File "./Lib/test/test_subprocess.py", line 545, in ?
    test_main()
  File "./Lib/test/test_subprocess.py", line 542, in 
test_main
    test_support.run_unittest(ProcessTestCase)
  File "/u13/home/doug/python/Python-
2.4b2/Lib/test/test_support.py", line 290, in run_unittest
    run_suite(suite, testclass)
  File "/u13/home/doug/python/Python-
2.4b2/Lib/test/test_support.py", line 275, in run_suite
    raise TestFailed(err)
test.test_support.TestFailed: Traceback (most recent 
call last):
  File "./Lib/test/test_subprocess.py", line 218, in 
test_cwd
    self.assertEqual(normcase(p.stdout.read()), normcase
(tmpdir))
AssertionError: '/cluster/members/member0/tmp' !
= '/cluster/members/{memb}/tmp'
:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:::::::::::::

msg23078 - (view) Author: Peter ├ůstrand (astrand) * (Python committer) Date: 2004-11-12 15:53
Logged In: YES 
user_id=344921

I think I've been able to fix this in revision 1.14 of
test_subprocess.py. I don't have access to a Tru64 system,
though. Please reopen this bug if the problem still exists. 
History
Date User Action Args
2004-11-10 02:45:26dharma_roadkillcreate